Bug 617548 - Product Model has artifacts of earlier models
Summary: Product Model has artifacts of earlier models
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Solaris
low
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 12:11 UTC by Bryan Kearney
Modified: 2018-12-10 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-10 15:37:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
possible patch from Devan (4.72 KB, patch)
2010-07-23 16:43 UTC, Bryan Kearney
no flags Details | Diff

Description Bryan Kearney 2010-07-23 12:11:03 UTC
The product model has a join table at cp_product_cp_product_attribute AND a FK from cp_product_attribute to cp_product. Per Devan, the join table is correct. Attached is a possible, but untested, patch.

Comment 1 Devan Goodwin 2010-07-23 12:39:41 UTC
Patch doesn't seem to work, the tables come out right but the join table no longer gets populated, hopefully someone can spot my mistake.

Also tried with no join table, just a mapped by, this time the join table disappeared from the schema, but again the join column on cp_product_attributes doesn't get populated...

Comment 2 Bryan Kearney 2010-07-23 16:43:32 UTC
Created attachment 434012 [details]
possible patch from Devan

Comment 3 Bryan Kearney 2010-07-23 16:47:36 UTC
Devan:

Is the goal a 1-n product -> attribute or m-n product -> attribute?

Comment 4 Devan Goodwin 2010-08-03 11:55:26 UTC
1-n

Comment 5 Devan Goodwin 2010-08-04 14:57:12 UTC
Fixed for both product and pool attributes. Now uses a join column instead of a table as well. Should see that column in cp_product_attributes and cp_pool_attributes.

57e91b3682424fd17d6989996156c9141991d4d3

Comment 6 wes hayutin 2010-08-10 15:09:32 UTC
dev verified

Comment 7 John Sefler 2011-05-04 14:41:10 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Comment 8 Bryan Kearney 2018-12-10 15:37:05 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.